QB_LIST_SPLICE_TAIL(3)

NAME
qb_list_splice_tail - Join two lists, each list being a queue.

SYNOPSIS
#include <qb/qblist.h>

static void qb_list_splice_tail(
    struct qb_list_head   *list,  /* the new list to add. */
    struct qb_list_head   *head   /* the place to add it in the first list. */
);

PARAMS
list the new list to add.

head the place to add it in the first list.

DESCRIPTION

STRUCTURES

struct qb_list_head {

    struct   next;

    struct   prev;
};

SEE ALSO

qb_list_empty(3), qb_list_add_tail(3), qb_list_add(3), qb_list_length(3), qb_list_replace(3), qb_list_init(3), qb_list_splice(3), qb_list_is_last(3), qb_list_del(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.